# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=chapel
TARGET=chapel.tif
PROJECT_FILE=/mnt/media/pictures/2008/2008-05-29/chapel.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/2008-05-29/sta_3016.jpg /mnt/media/pictures/2008/2008-05-29/stb_3017.jpg /mnt/media/pictures/2008/2008-05-29/stc_3018.jpg /mnt/media/pictures/2008/2008-05-29/std_3019.jpg /mnt/media/pictures/2008/2008-05-29/ste_3020.jpg /mnt/media/pictures/2008/2008-05-29/stf_3021.jpg /mnt/media/pictures/2008/2008-05-29/stg_3022.jpg /mnt/media/pictures/2008/2008-05-29/sth_3023.jpg /mnt/media/pictures/2008/2008-05-29/sti_3024.jpg /mnt/media/pictures/2008/2008-05-29/stj_3025.jpg 

# remapped images
REMAPPED_IMAGES=chapel0000.tif chapel0001.tif chapel0002.tif chapel0003.tif chapel0004.tif chapel0005.tif chapel0006.tif chapel0007.tif chapel0008.tif chapel0009.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -f9036x4683


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


